Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/LogView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/LogView.Designer.cs	(revision 6225)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/LogView.Designer.cs	(revision 6225)
@@ -0,0 +1,96 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
+  partial class LogView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.txtLog = new System.Windows.Forms.TextBox();
+      this.chkShowBalloonTips = new System.Windows.Forms.CheckBox();
+      this.SuspendLayout();
+      // 
+      // txtLog
+      // 
+      this.txtLog.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.txtLog.BackColor = System.Drawing.Color.White;
+      this.txtLog.Location = new System.Drawing.Point(3, 3);
+      this.txtLog.Multiline = true;
+      this.txtLog.Name = "txtLog";
+      this.txtLog.ReadOnly = true;
+      this.txtLog.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
+      this.txtLog.Size = new System.Drawing.Size(480, 209);
+      this.txtLog.TabIndex = 2;
+      // 
+      // chkShowBalloonTips
+      // 
+      this.chkShowBalloonTips.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.chkShowBalloonTips.AutoSize = true;
+      this.chkShowBalloonTips.Location = new System.Drawing.Point(4, 219);
+      this.chkShowBalloonTips.Name = "chkShowBalloonTips";
+      this.chkShowBalloonTips.Size = new System.Drawing.Size(291, 17);
+      this.chkShowBalloonTips.TabIndex = 3;
+      this.chkShowBalloonTips.Text = "Show Ballon Tips in System Tray on important messages";
+      this.chkShowBalloonTips.UseVisualStyleBackColor = true;
+      this.chkShowBalloonTips.CheckedChanged += new System.EventHandler(this.chkShowBalloonTips_CheckedChanged);
+      // 
+      // LogView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.chkShowBalloonTips);
+      this.Controls.Add(this.txtLog);
+      this.Name = "LogView";
+      this.Size = new System.Drawing.Size(486, 267);
+      this.Load += new System.EventHandler(this.LogView_Load);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.TextBox txtLog;
+    private System.Windows.Forms.CheckBox chkShowBalloonTips;
+  }
+}
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/LogView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/LogView.cs	(revision 6225)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/LogView.cs	(revision 6225)
@@ -0,0 +1,93 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.Clients.Hive.SlaveCore.Views.Properties;
+using HeuristicLab.Common;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
+  [View("LogView: Displays logged messages from the slave core.")]
+  [Content(typeof(SlaveItem), IsDefaultView = true)]
+  public partial class LogView : ItemView {
+    public new SlaveItem Content {
+      get { return (SlaveItem)base.Content; }
+      set {
+        if (base.Content != value) {
+          base.Content = value;
+        }
+      }
+    }
+
+    public LogView() {
+      InitializeComponent();
+    }
+
+    #region Register Content Events
+    protected override void DeregisterContentEvents() {
+      Content.SlaveMessageLogged -= new System.EventHandler<EventArgs<string>>(Content_SlaveMessageLogged);
+
+      base.DeregisterContentEvents();
+    }
+
+    protected override void RegisterContentEvents() {
+      base.RegisterContentEvents();
+
+      Content.SlaveMessageLogged += new System.EventHandler<EventArgs<string>>(Content_SlaveMessageLogged);
+    }
+    #endregion
+
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        // TODO: Put code here when content is null
+      } else {
+        // TODO: Put code here when content has been changed and is not null
+      }
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      // TODO: Put code here to enable or disable controls based on whether the Content is/not null or the view is ReadOnly
+    }
+
+    #region Event Handlers
+    void Content_SlaveMessageLogged(object sender, EventArgs<string> e) {
+      txtLog.AppendText(e.Value + Environment.NewLine);
+    }
+
+    private void LogView_Load(object sender, EventArgs e) {
+      chkShowBalloonTips.Checked = Settings.Default.ShowBalloonTips;
+    }
+
+    private void chkShowBalloonTips_CheckedChanged(object sender, EventArgs e) {
+      if (Settings.Default.ShowBalloonTips != chkShowBalloonTips.Checked) {
+        Settings.Default.ShowBalloonTips = chkShowBalloonTips.Checked;
+        Settings.Default.Save();
+      }
+    }
+    #endregion
+
+  }
+}
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/Properties/Settings.settings
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/Properties/Settings.settings	(revision 6225)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/Properties/Settings.settings	(revision 6225)
@@ -0,0 +1,9 @@
+﻿<?xml version='1.0' encoding='utf-8'?>
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Clients.Hive.SlaveCore.Views.Properties" GeneratedClassName="Settings">
+  <Profiles />
+  <Settings>
+    <Setting Name="ShowBalloonTips" Type="System.Boolean" Scope="User">
+      <Value Profile="(Default)">False</Value>
+    </Setting>
+  </Settings>
+</SettingsFile>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveItem.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveItem.cs	(revision 6219)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveItem.cs	(revision 6225)
@@ -135,8 +135,22 @@
     }
 
+    private int lastJobsFetched = 0;
+
     public event EventHandler<EventArgs<StatusCommons>> SlaveStatusChanged;
+    public void OnUserVisibleMessageFired(string msg) {
+      var handler = UserVisibleMessageFired;
+      if (handler != null) handler(this, new EventArgs<string>(msg));
+    }
+
+    public event EventHandler<EventArgs<string>> UserVisibleMessageFired;
     public void OnStatusChanged(StatusCommons status) {
       var handler = SlaveStatusChanged;
       if (handler != null) handler(this, new EventArgs<StatusCommons>(status));
+
+      int diff = status.JobsFetched - lastJobsFetched;
+      lastJobsFetched = status.JobsFetched;
+      if (diff > 0) {
+        OnUserVisibleMessageFired(string.Format("HeuristicLab Hive received {0} new jobs!", diff));
+      }
     }
 
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.Designer.cs	(revision 6219)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.Designer.cs	(revision 6225)
@@ -45,13 +45,11 @@
     /// </summary>
     private void InitializeComponent() {
-      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea1 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
-      System.Windows.Forms.DataVisualization.Charting.Legend legend1 = new System.Windows.Forms.DataVisualization.Charting.Legend();
-      System.Windows.Forms.DataVisualization.Charting.Series series1 = new System.Windows.Forms.DataVisualization.Charting.Series();
-      this.txtLog = new System.Windows.Forms.TextBox();
+      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea6 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
+      System.Windows.Forms.DataVisualization.Charting.Legend legend6 = new System.Windows.Forms.DataVisualization.Charting.Legend();
+      System.Windows.Forms.DataVisualization.Charting.Series series6 = new System.Windows.Forms.DataVisualization.Charting.Series();
       this.btnPauseAll = new System.Windows.Forms.Button();
       this.btnStopAll = new System.Windows.Forms.Button();
       this.btnRestart = new System.Windows.Forms.Button();
       this.btnSleep = new System.Windows.Forms.Button();
-      this.btnAbout = new System.Windows.Forms.Button();
       this.jobChart = new System.Windows.Forms.DataVisualization.Charting.Chart();
       this.btnRestartService = new System.Windows.Forms.Button();
@@ -59,17 +57,7 @@
       this.SuspendLayout();
       // 
-      // txtLog
-      // 
-      this.txtLog.BackColor = System.Drawing.Color.White;
-      this.txtLog.Location = new System.Drawing.Point(3, 184);
-      this.txtLog.Multiline = true;
-      this.txtLog.Name = "txtLog";
-      this.txtLog.ReadOnly = true;
-      this.txtLog.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
-      this.txtLog.Size = new System.Drawing.Size(584, 239);
-      this.txtLog.TabIndex = 1;
-      // 
       // btnPauseAll
       // 
+      this.btnPauseAll.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.btnPauseAll.Location = new System.Drawing.Point(476, 3);
       this.btnPauseAll.Name = "btnPauseAll";
@@ -82,4 +70,5 @@
       // btnStopAll
       // 
+      this.btnStopAll.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.btnStopAll.Location = new System.Drawing.Point(476, 32);
       this.btnStopAll.Name = "btnStopAll";
@@ -92,4 +81,5 @@
       // btnRestart
       // 
+      this.btnRestart.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.btnRestart.Location = new System.Drawing.Point(476, 90);
       this.btnRestart.Name = "btnRestart";
@@ -102,4 +92,5 @@
       // btnSleep
       // 
+      this.btnSleep.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.btnSleep.Location = new System.Drawing.Point(476, 61);
       this.btnSleep.Name = "btnSleep";
@@ -110,27 +101,17 @@
       this.btnSleep.Click += new System.EventHandler(this.btnSleep_Click);
       // 
-      // btnAbout
-      // 
-      this.btnAbout.Location = new System.Drawing.Point(476, 149);
-      this.btnAbout.Name = "btnAbout";
-      this.btnAbout.Size = new System.Drawing.Size(111, 28);
-      this.btnAbout.TabIndex = 6;
-      this.btnAbout.Text = "About Hive";
-      this.btnAbout.UseVisualStyleBackColor = true;
-      this.btnAbout.Click += new System.EventHandler(this.btnAbout_Click);
-      // 
       // jobChart
       // 
-      chartArea1.Name = "ChartArea1";
-      this.jobChart.ChartAreas.Add(chartArea1);
-      legend1.Name = "Legend1";
-      this.jobChart.Legends.Add(legend1);
+      chartArea6.Name = "ChartArea1";
+      this.jobChart.ChartAreas.Add(chartArea6);
+      legend6.Name = "Legend1";
+      this.jobChart.Legends.Add(legend6);
       this.jobChart.Location = new System.Drawing.Point(3, 3);
       this.jobChart.Name = "jobChart";
-      series1.ChartArea = "ChartArea1";
-      series1.ChartType = System.Windows.Forms.DataVisualization.Charting.SeriesChartType.Doughnut;
-      series1.Legend = "Legend1";
-      series1.Name = "Series1";
-      this.jobChart.Series.Add(series1);
+      series6.ChartArea = "ChartArea1";
+      series6.ChartType = System.Windows.Forms.DataVisualization.Charting.SeriesChartType.Doughnut;
+      series6.Legend = "Legend1";
+      series6.Name = "Series1";
+      this.jobChart.Series.Add(series6);
       this.jobChart.Size = new System.Drawing.Size(293, 174);
       this.jobChart.TabIndex = 7;
@@ -138,4 +119,5 @@
       // btnRestartService
       // 
+      this.btnRestartService.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.btnRestartService.Location = new System.Drawing.Point(476, 119);
       this.btnRestartService.Name = "btnRestartService";
@@ -152,15 +134,12 @@
       this.Controls.Add(this.btnRestartService);
       this.Controls.Add(this.jobChart);
-      this.Controls.Add(this.btnAbout);
       this.Controls.Add(this.btnSleep);
       this.Controls.Add(this.btnRestart);
       this.Controls.Add(this.btnStopAll);
       this.Controls.Add(this.btnPauseAll);
-      this.Controls.Add(this.txtLog);
       this.Name = "SlaveView";
       this.Size = new System.Drawing.Size(590, 426);
       ((System.ComponentModel.ISupportInitialize)(this.jobChart)).EndInit();
       this.ResumeLayout(false);
-      this.PerformLayout();
 
     }
@@ -168,10 +147,8 @@
     #endregion
 
-    private System.Windows.Forms.TextBox txtLog;
     private System.Windows.Forms.Button btnPauseAll;
     private System.Windows.Forms.Button btnStopAll;
     private System.Windows.Forms.Button btnRestart;
     private System.Windows.Forms.Button btnSleep;
-    private System.Windows.Forms.Button btnAbout;
     private System.Windows.Forms.DataVisualization.Charting.Chart jobChart;
     private System.Windows.Forms.Button btnRestartService;
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.cs	(revision 6219)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.cs	(revision 6225)
@@ -58,5 +58,4 @@
     #region Register Content Events
     protected override void DeregisterContentEvents() {
-      Content.SlaveMessageLogged -= new System.EventHandler<EventArgs<string>>(Content_SlaveMessageLogged);
       Content.SlaveShutdown -= new System.EventHandler(Content_SlaveShutdown);
       Content.SlaveStatusChanged -= new System.EventHandler<EventArgs<StatusCommons>>(Content_SlaveStatusChanged);
@@ -68,5 +67,4 @@
       base.RegisterContentEvents();
 
-      Content.SlaveMessageLogged += new System.EventHandler<EventArgs<string>>(Content_SlaveMessageLogged);
       Content.SlaveShutdown += new System.EventHandler(Content_SlaveShutdown);
       Content.SlaveStatusChanged += new System.EventHandler<EventArgs<StatusCommons>>(Content_SlaveStatusChanged);
@@ -110,10 +108,5 @@
 
     void Content_SlaveShutdown(object sender, System.EventArgs e) {
-      txtLog.AppendText("Slave did shutdown" + Environment.NewLine);
       Task.Factory.StartNew(Connector);
-    }
-
-    void Content_SlaveMessageLogged(object sender, EventArgs<string> e) {
-      txtLog.AppendText(e.Value + Environment.NewLine);
     }
     #endregion
@@ -168,9 +161,4 @@
     }
 
-    private void btnAbout_Click(object sender, System.EventArgs e) {
-      SlaveAboutDialog diag = new SlaveAboutDialog();
-      diag.ShowDialog();
-    }
-
     private void btnRestartService_Click(object sender, EventArgs e) {
       if (CheckRunAsAdmin()) {
